## jama certic-0.1.49

=== Makefile ===
.cache/tandem:
	@mkdir -p $$(dirname $@)
	@curl -fsSL https://raw.githubusercontent.com/rosszurowski/tandem/main/install.sh | bash -
	mv ./tandem .cache/tandem

install:.cache/tandem ## installation des paquets et dépendances
	uv sync
	uv run pre-commit install
	uv run jama migrate
	uv run jama loadfixtures
	@read -p "Do you want to create a django superuser? [y/N] " c;	echo; if test "$$c" = "Y" || test "$$c" = "y"; then uv run jama createsuperuser ; fi
	uv run jama newjamaproject default
.PHONY: install

build-ui-front: ## compilation du front de l'appli ui
	yarn --cwd src/ui/front/ install
	yarn --cwd src/ui/front/ vite build
	@cp -r src/ui/front/node_modules/@pdn-certic/vue3-jama/dist/assets src/ui/front/dist/ui/

update: ## mise à jour des paquets et dépendances
	uv sync && uv run jama migrate
.PHONY: update

run: ## démarrage de l'environnement de développement
	@.cache/tandem 'uv run jama runserver' 'uv run jama run_huey'
.PHONY: run

format: ## Formatage des sources avec Ruff
	uv run ruff check --fix
	uv run ruff format ./
.PHONY: format

test: ## Lancer les tests
	cd src && uv run jama test
.PHONY: test

help: ## Show this help
	@echo "\nChoisissez une commande. Les choix sont:\n"
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "  \033[0;36m%-12s\033[m %s\n", $$1, $$2}'
	@echo ""
.PHONY: help

## jama 1.0.2

=== debian/changelog ===
jama (1.0.2-4) unstable; urgency=low

  * Added myself to uploaders.
  * Removed dependency on default-jdk. (Closes: #590461)
  * Updated Standards-Version to 3.9.1.
  * Added Vcs-* and Homepage fields.
  * Moved javadoc and examples to a separate package.
    - To get the javadoc, install libjama-java-doc.
  * Registered javadoc with docbase.
  * Changed to 3.0 (quilt) source format.

 -- Melvin Winstrøm-Møller <mithunder@gmail.com>  Wed, 28 Jul 2010 17:20:52 +0200

jama (1.0.2-3) unstable; urgency=low

  * (Build-)Depends on default-jdk.
  * Build-Depends on debhelper >= 7.
  * Moved package to section 'java'.
  * Removed Wolfang and added myself to uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 14 Sep 2009 21:32:40 +0200

jama (1.0.2-2) unstable; urgency=low

  * kaffe compiler transition 

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 15 Jan 2006 18:17:09 +0100

jama (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Standards-Version 3.6.2 (no changes needed)
  * Adjusted debian/control description to fix lintian warnings 
  * rm ChangeLog from libjama-java.docs - installed by dh_installchangelogs
  * Changed libant1.6-java build-dep to ant (now in main)
  
  * Upload sponsored by Petter Reinholdtsen

 -- Wolfgang Baer <WBaer@gmx.de>  Sun,  7 Aug 2005 14:34:30 +0200

jama (1.0.1-1) experimental; urgency=low

  * Initial Release (closes: #294539)

 -- Wolfgang Baer <WBaer@gmx.de>  Thu, 27 Jan 2005 10:38:29 +0100

=== debian/control ===
Source: jama
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Melvin Winstrøm-Møller <mithunder@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, default-jdk-doc
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jama
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jama/
Homepage: http://math.nist.gov/javanumerics/jama/

Package: libjama-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libjama-java-doc
Description: a basic linear algebra library for Java
 Provides fundamental operations of numerical linear algebra. The package 
 provides five matrix decompositions. These decompositions are accessed by
 the Matrix class to compute solutions of simultaneous linear equations,
 determinants, inverses and other matrix functions.
 .
 The five decompositions are:
  * Cholesky Decomposition of symmetric, positive definite matrices
  * LU Decomposition (Gaussian elimination) of rectangular matrices
  * QR Decomposition of rectangular matrices
  * Eigenvalue Decomposition of both symmetric and nonsymmetric square matrices
  * Singular Value Decomposition of rectangular matrices

Package: libjama-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc,
Suggests: libjama-java
Description: a basic linear algebra library for Java (documentation)
 Provides fundamental operations of numerical linear algebra. The package
 provides five matrix decompositions. These decompositions are accessed by
 the Matrix class to compute solutions of simultaneous linear equations,
 determinants, inverses and other matrix functions.
 .
 The five decompositions are:
  * Cholesky Decomposition of symmetric, positive definite matrices
  * LU Decomposition (Gaussian elimination) of rectangular matrices
  * QR Decomposition of rectangular matrices
  * Eigenvalue Decomposition of both symmetric and nonsymmetric square matrices
  * Singular Value Decomposition of rectangular matrices
 .
 This package contains the documentation of libjama-java.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for jama (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

export UPSTREAM_VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar
DEB_ANT_BUILDFILE := debian/build.xml

DEB_ANT_BUILD_TARGET := all

install/libjama-java::
	install -m 644 target/jama.jar debian/libjama-java/usr/share/java/jama-$(UPSTREAM_VERSION).jar
	ln -s jama-$(UPSTREAM_VERSION).jar debian/libjama-java/usr/share/java/jama.jar

=== debian/watch ===
version=3
http://math.nist.gov/javanumerics/jama/Jama-([\d.]+)\.tar\.gz

## jama 1.0.3

=== debian/changelog ===
jama (1.0.3-2) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Build with the DH sequencer instead of CDBS
  * Removed the -java-doc package
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Use a secure watch URI

  [ Markus Koschany ]
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 19 Jan 2021 11:59:45 +0100

jama (1.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Install the Maven artifacts in /usr/share/maven-repo
  * Generate Java 6 compatible bytecode
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.4 (no changes)
    - Removed Michael Koch from the uploaders (Closes: #654026)
    - Removed the article at the beginning of the package descriptions
  * debian/rules: Added the get-orig-pom and get-orig-source targets

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Aug 2013 17:32:58 +0200

=== debian/control ===
Source: jama
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Melvin Winstrøm-Møller <mithunder@gmail.com>
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 maven-repo-helper
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/jama.git
Vcs-Browser: https://salsa.debian.org/java-team/jama
Homepage: http://math.nist.gov/javanumerics/jama/

Package: libjama-java
Architecture: all
Depends: ${misc:Depends}
Description: Basic linear algebra library for Java
 Provides fundamental operations of numerical linear algebra. The package
 provides five matrix decompositions. These decompositions are accessed by
 the Matrix class to compute solutions of simultaneous linear equations,
 determinants, inverses and other matrix functions.
 .
 The five decompositions are:
  * Cholesky Decomposition of symmetric, positive definite matrices
  * LU Decomposition (Gaussian elimination) of rectangular matrices
  * QR Decomposition of rectangular matrices
  * Eigenvalue Decomposition of both symmetric and nonsymmetric square matrices
  * Singular Value Decomposition of rectangular matrices

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=ant --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- -f debian/build.xml all

override_dh_auto_clean:
	dh_auto_build -- -f debian/build.xml clean

get-orig-pom:
	wget http://central.maven.org/maven2/gov/nist/math/jama/$(DEB_VERSION_UPSTREAM)/jama-$(DEB_VERSION_UPSTREAM).pom -O debian/pom.xml

=== debian/watch ===
version=4
https://math.nist.gov/javanumerics/jama/Jama-([\d.]+)\.tar\.gz
